Bug 484743 - 2.6.29: Software raid checks sometimes locks up parts of the system
2.6.29: Software raid checks sometimes locks up parts of the system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 14:02 EST by Bruno Wolff III
Modified: 2009-12-18 02:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:52:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/fstab + lspci -vvv output (47.08 KB, text/plain)
2009-02-09 14:02 EST, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2009-02-09 14:02:57 EST
Created attachment 331347 [details]
/etc/fstab + lspci -vvv output

Description of problem:
Since trying out the 2.6.28 and 2.6.29 kernels in F10 I have been seeing occassional lock ups when having my raid arrays check themselves for consistancy.
Typically I hadn't been at the machine when it happened, but today I was. The mouse and keyboard no longer responded, but my head phones were continuous repeating about a 1 second snippet from a song I was listening to on the machine.
I didn't see anything interesting in /var/log/messages. The last entries before the reboot afterwards were about delaying checking of some arrays because they were on the same physical disks. One partition was completely checked before the lockup.
At the time I was running kernel 2.6.29-0.22.rc4.git1.fc10.x86_64 on a dual core xeon.
I haven't seen this happen on my dual core Athlon based system at home (which I run i686 kernels on).
I don't remember seeing this with 2.6.27 kernels. Though I did have some disk hangs with them in past, it wasn't tied to raid consistancy checks and had stopped by the time F10 was released.

Version-Release number of selected component (if applicable):
2.6.29-0.22.rc4.git1.fc10.x86_64

How reproducible:
I have seen it happen about a half dozen times. It happens less than 50% of the time I check all of the arrays.

Steps to Reproduce:
1.sh -c 'for raid in /sys/block/md*/md/sync_action;do echo "check" >> ${raid};done'
2.
3.
  
Actual results:


Expected results:


Additional info:
I am running luks on top of raid 1 for all partitions excepting /boot.
Comment 1 Bruno Wolff III 2009-02-11 15:36:31 EST
I have switched this machine over to rawhide now, so retesting in F10 will no longer be easy.
I'll eventually do some testing in F11 to see if it still is happening there.
Comment 2 Bug Zapper 2009-11-18 06:03:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:52:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.